Module ij
Package ij.plugin

# Class NewPlugin

java.lang.Object
ij.plugin.NewPlugin

All Implemented Interfaces:
  `PlugIn`

public class NewPlugin extends Object implements PlugIn
This class creates a new macro or the Java source for a new plugin.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`JAVASCRIPT`
`static final int`
`MACRO`
`static final int`
`MACRO_TOOL`
`static final int`
`PLUGIN`
`static final int`
`PLUGIN_FILTER`
`static final int`
`PLUGIN_FRAME`
`static final int`
`PLUGIN_TOOL`
`static final int`
`TABLE`
`static final int`
`TEMPLATE`
`static final int`
`TEXT_FILE`

## Constructor Summary

Constructors
Constructor
Description
`NewPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createMacro(String name)`
`void`
`createPlugin(String name, int type, String methods)`
`Editor`
`getEditor()`
Returns the Editor the newly created macro or plugin was opened in.
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`boolean`
`showDialog()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MACRO

public static final int MACRO

See Also:
  - Constant Field Values

### JAVASCRIPT

public static final int JAVASCRIPT

See Also:
  - Constant Field Values

### PLUGIN

public static final int PLUGIN

See Also:
  - Constant Field Values

### PLUGIN_FILTER

public static final int PLUGIN_FILTER

See Also:
  - Constant Field Values

### PLUGIN_FRAME

public static final int PLUGIN_FRAME

See Also:
  - Constant Field Values

### TEXT_FILE

public static final int TEXT_FILE

See Also:
  - Constant Field Values

### TABLE

public static final int TABLE

See Also:
  - Constant Field Values

### MACRO_TOOL

public static final int MACRO_TOOL

See Also:
  - Constant Field Values

### PLUGIN_TOOL

public static final int PLUGIN_TOOL

See Also:
  - Constant Field Values

### TEMPLATE

public static final int TEMPLATE

See Also:
  - Constant Field Values

## Constructor Details

### NewPlugin

public NewPlugin()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### createMacro

public void createMacro(String name)

### createPlugin

public void createPlugin(String name, int type, String methods)

### showDialog

public boolean showDialog()

### getEditor

public Editor getEditor()
Returns the Editor the newly created macro or plugin was opened in.